This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 880029 - Portal Login button label is not localized
Portal Login button label is not localized
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.1.0
Unspecified Unspecified
high Severity unspecified
: ---
: 3.2.0
Assigned To: Daniel Erez
Pavel Stehlik
ux
: i18n, Translation, ZStream
Depends On:
Blocks: 915537
  Show dependency treegraph
 
Reported: 2012-11-25 22:34 EST by Yuko Katabami
Modified: 2013-06-11 05:59 EDT (History)
9 users (show)

See Also:
Fixed In Version: sf1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 883915 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
unlocalized "Login" button on login window (Admin Portal) (23.03 KB, image/png)
2012-11-26 07:47 EST, Yuko Katabami
no flags Details
unlocalized "Login" button on login window (User Portal) (24.30 KB, image/png)
2012-11-26 07:47 EST, Yuko Katabami
no flags Details
Login button localized in sf1 build (23.35 KB, image/png)
2012-12-25 04:35 EST, Lijun Li
no flags Details

  None (edit)
Description Yuko Katabami 2012-11-25 22:34:03 EST
Description of problem:
Sorry for late reporting.
We just found that portal Login button label is not localized.

Version-Release number of selected component (if applicable): 3.1


How reproducible:always


Steps to Reproduce:
1. Open login screen of Web Admin Portal and User Portal
2. Select any language other than English
3. Label of "Login" button remains unlocalized
  
Actual results:
Unlocalized

Expected results:
Should be localized to each language

Additional info:
In Zanata, there are two stings of "Login" with resource ID "loginButtonLabel" and one with "storageIscsiPopupLoginButtonLabel". They are all translated.
Comment 1 Einav Cohen 2012-11-26 07:39:05 EST
Hi Yuko, 

see, for example, attachment 628884 [details]
[was taken by me as part of opening Bug 867428]
you can see there that the "Login" button text is localized, at least in the admin portal.

Is there a chance that you are referring only to the user portal login page (https://[server]/UserPortal) 
and not to the admin portal login page (https://[server]/webadmin)?
Comment 2 Yuko Katabami 2012-11-26 07:47:06 EST
Created attachment 651939 [details]
unlocalized "Login" button on login window (Admin Portal)
Comment 3 Yuko Katabami 2012-11-26 07:47:55 EST
Created attachment 651940 [details]
unlocalized "Login" button on login window (User Portal)
Comment 11 Lijun Li 2012-12-25 04:31:44 EST
Verified. It's fixed on RHEVM3.2 sf1 build.
[root@dhcp-8-215 ~]# rpm -q rhevm
rhevm-3.2.0-1.el6ev.noarch
Please see the attached screenshot.

Thanks,
Robert
Comment 12 Lijun Li 2012-12-25 04:35:50 EST
Created attachment 668813 [details]
Login button localized in sf1 build
Comment 13 Itamar Heim 2013-06-11 05:52:13 EDT
3.2 has been released
Comment 14 Itamar Heim 2013-06-11 05:52:29 EDT
3.2 has been released
Comment 15 Itamar Heim 2013-06-11 05:59:03 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.